SCATPLT_FIND_CLOSEST_ALL(3)

EXPERIMENTAL_FUNC
scatplt_find_closest_all - Find the closest point to a specified position.

SYNOPSIS
#include <karma_scatplt.h>

flag scatplt_find_closest_all

(KWorldCanvas canvas, double xin, double yin, double *xout, double *yout, uaddr *index, KScatterPlot *plot, flag subpixel, double search_radius)

DESCRIPTION
Find the closest point to a specified position.

canvas
    The canvas to search. All active scatter plots are searched.

xin The X world co-ordinate to search from.

yin The Y world co-ordinate to search from.

xout
    The exact X co-ordinate of the point found is written here.

yout
    The exact Y co-ordinate of the point found is written here.

index
    The index of the point is written here.

plot
    The KScatterPlot the point was found in is written here.

subpixel
    If TRUE, search with subpixel resolution so that multiple points lying on the same screen pixel will be searched to find the closest point. If FALSE, the search will terminate early on the first point which lies on the same screen pixel. It is highly recommended that subpixel resolution is not used, as it may be orders of magnitude slower.

search_radius
    The maximum search radius. Points further from the search position will be ignored.

RETURN VALUE
TRUE if a close point was found, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/